org.jboss.resteasy.client.jaxrs.internal.proxy.processors

## Class FormProcessor

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.internal.proxy.processors.FormProcessor

- All Implemented Interfaces:
    InvocationProcessor, WebTargetProcessor

      public class FormProcessor
      extends Object
      implements InvocationProcessor, WebTargetProcessor

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Class` | `clazz`
    `protected HashMap<Field,Object>` | `fieldMap`
    `protected HashMap<Long,Method>` | `getterHashes`
    `protected List<org.jboss.resteasy.client.jaxrs.internal.proxy.processors.FormProcessor.GetterMethod>` | `getters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormProcessor(Class clazz, ClientConfiguration configuration)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `WebTarget` | `build(WebTarget target, Object param)`
    `static long` | `createHash(String methodDesc)`
    `static long` | `methodHash(Method method)`
    `protected void` | `populateMap(Class clazz, ClientConfiguration configuration)`
    `void` | `process(ClientInvocationBuilder invocation, Object param)`
    `protected Object` | `process(org.jboss.resteasy.client.jaxrs.internal.proxy.processors.FormProcessor.Process process, Object target, Object param)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fieldMap

          protected HashMap<Field,Object> fieldMap

    - #### getters

          protected List<org.jboss.resteasy.client.jaxrs.internal.proxy.processors.FormProcessor.GetterMethod> getters

    - #### getterHashes

          protected HashMap<Long,Method> getterHashes

    - #### clazz

          protected Class clazz

  - ### Constructor Detail

    - #### FormProcessor

          public FormProcessor(Class clazz,
                       ClientConfiguration configuration)

  - ### Method Detail

    - #### methodHash

          public static long methodHash(Method method)
                                 throws Exception

      Throws:
        `Exception`

    - #### createHash

          public static long createHash(String methodDesc)
                                 throws Exception

      Throws:
        `Exception`

    - #### populateMap

          protected void populateMap(Class clazz,
                         ClientConfiguration configuration)

    - #### build

          public WebTarget build(WebTarget target,
                        Object param)

      Specified by:
        `build` in interface `WebTargetProcessor`

    - #### process

          public void process(ClientInvocationBuilder invocation,
                     Object param)

      Specified by:
        `process` in interface `InvocationProcessor`

    - #### process

          protected Object process(org.jboss.resteasy.client.jaxrs.internal.proxy.processors.FormProcessor.Process process,
                       Object target,
                       Object param)

Copyright © 2014. All Rights Reserved.